Bug 1765430 - [RFE] rgw: Adding 'iam' namespace for Role and User Policy related REST APIs
Summary: [RFE] rgw: Adding 'iam' namespace for Role and User Policy related REST APIs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.3
Hardware: All
OS: All
low
low
Target Milestone: rc
: 4.0
Assignee: Pritha Srivastava
QA Contact: Tejas
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2019-10-25 05:22 UTC by Matt Benjamin (redhat)
Modified: 2020-01-31 12:48 UTC (History)
9 users (show)

Fixed In Version: ceph-14.2.4-36.el8cp, ceph-14.2.4-2.el7cp
Doc Type: Enhancement
Doc Text:
.Users can now create new IAM policies and roles using REST APIs With the release of {product} {release}, REST APIs for IAM roles and user policies are now available in the same namespace as S3 APIs and can be accessed using the same endpoint as S3 APIs in the Ceph Object Gateway. This allows end users to create new IAM policies and roles using REST APIs.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:16 UTC

Description Matt Benjamin (redhat) 2019-10-25 05:22:37 UTC
Description of problem:
Permit installation/application of UserPolicy documents--which can be used to establish general policy by user (i.e., independent of specific buckets).  One intended use for this feature is to forbid creation of new buckets by specific users, in IAM policy dialect.

Comment 1 RHEL Program Management 2019-10-25 05:22:43 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 7 Erin Donnelly 2020-01-07 21:06:47 UTC
Thanks Pritha, could you take one more look at the edited doc text and let me know if it looks good?

Comment 8 Pritha Srivastava 2020-01-08 04:00:56 UTC
Looks good to me.

Comment 10 errata-xmlrpc 2020-01-31 12:47:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.